--[[ $Id$
   Copyright (c) Brett England, 2013

   No commercial use.
   No redistribution at profit.
   All derivative work must retain this message and
   acknowledge the work of the original author.
--]]
local bsc = require("bsc")
local xap = require("xap")
local ui = require("ui")

function aliasSend(body)
   local msg = string.format([[
xap-header
{
class=alias
}
command
{
text=%s
}
]], body.text)
  xap_server:sendShort(msg)
end

display.newImage( "background.png", true)

-- Create QUIT button
ui.newButton{
    text = "Quit", size = 20,
    defaultSrc="buttonBlue.png", defaultX = 298, defaultY=56,
	overSrc = "buttonBlueOver.png", overX = 298, overY=56, 
	x = display.contentCenterX,
	y = display.contentHeight-40,
    onRelease = function() native.requestExit() end
}

-- Setup GLOBAL xap_server object
xap_server = xap.TCPServer("home.dbzoo.com")
xap_server:setSource("dbzoo.corona.applet")

-- At this point we can't really do much...
if not xap_server:isConnected() then  
	ui.newLabel{ bounds={0,display.contentCenterY,
	                     display.contentWidth,display.contentHeight}, 
	             text= xap_server:getErrorMessage(), 
				 align="center", 
				 size=12}
  return
end

-- Create SEND ALIAS button
ui.newButton{
    text = "Boost", size=16,
    defaultSrc="glossy_button_green.png", defaultX = 80, defaultY=80,
	overSrc = "glossy_button_dkgreen.png", overX = 80, overY=80, 
	x = display.contentCenterX,
	y = display.contentCenterY,
    onRelease = function() aliasSend{text="bedroom boost 2"} end
}

-- Start XAP engine
xap_server:start()

-- Capture application shutdown		
local onSystem = function( event )
    if event.type == "applicationExit" then
        xap_server:stop()
    end
end
Runtime:addEventListener( "system", onSystem )
